﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace SkyDriveEx.IconOverlay.Interfaces
{
  [ComImport]
  [Guid("0C6C4200-C589-11D0-999A-00C04FD655E1")]
  [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
  public interface IShellIconOverlayIdentifier
  {
    [PreserveSig]
    int IsMemberOf(
      [MarshalAs(UnmanagedType.LPWStr)] string pwszPath,
      [MarshalAs(UnmanagedType.U4)] int dwAttrib);

    void GetOverlayInfo(
      IntPtr pwszIconFile,
      int cchMax,
      out int pIndex,
      [MarshalAs(UnmanagedType.U4)] out Enums.ISIOI pdwFlags);

    void GetPriority(
      out int pPriority);
  }
}
